use strict;
use warnings;
use Module::Build::CipUX;

my $builder = Module::Build::CipUX->new(
    module_name   => 'CipUX::Storage::LDAP',
    license       => 'gpl2',
    dist_author   => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version  => '3.4.0.1',
    dist_abstract => 'CipUX Storage LDAP schema files',
    installdirs   => 'vendor',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {},

    build_requires => {
        'Module::Build'        => 0,
        'Module::Build::CipUX' => '0.3.0',
    },

    requires => { 'CipUX::Storage' => '3.4.0.0', },

    add_to_cleanup => ['CipUX-Storage-LDAP-*'],
);

# Only to uncomment, if you changed the BUILD target
# $builder->add_build_element('dat');
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->create_build_script();

